%
%   Help function for the Sshaper
%
%   This file is a part of "Sshaper" developed by Anders Blomqvist
%    and Ryozo Nagamune. The theory behind the program is presented
%    in the technical report
%
%     "Sensitivity shaping with degree constraint by nonlinear
%     least-squares optimization"
%
%    (TRITA-MAT xxxxx, KTH, Stockholm, Sweden) and references
%    therin. Any questions can be sent to andersb@math.kth.se
%    and/or ryozo@me.berkeley.edu.
%
function printparameters = InitializePrintparameters(factor)

%factor = 2.5;
printparameters.papersize = factor*[ 10 7 ];
printparameters.width = 18;
printparameters.height = 13;
printparameters.type = 'eps';
printparameters.examplename = 'NoName';
printparameters.plotnames = { 'InputS',...
		    'S',...
		    'T',...
		    'CS',...
		    'PS',...
 		    'PC',...         
		    'P',...
		    'C',...
		    'Weight',...
		    'step',...
		    'stepu' };