%
%   This functions changes all fontsizes and weight in a figure 
%
function a = ChangeTextStyle(fig,myfontsize,myfontweight,mylinewidth)

if nargin < 4
    mylinewidth = 1;
end

set(0,'ShowHiddenHandles','on')

h = findobj(fig,'type','text');
for g = h
    set(g,'FontSize',myfontsize,'FontWeight',myfontweight)
end

h = findobj(fig,'type','axes');
for g = h
    set(g,'FontSize',myfontsize,'FontWeight',myfontweight)
end

h = findobj(fig,'type','line');
for g = h
    set(g,'LineWidth',mylinewidth)
end

set(0,'ShowHiddenHandles','off')
a = 0;
