%
%   This function determine a dissipation polynomial from a
%    spectral factor
%
%   d = d0 + d1(z+z^-1) + ... + dn(z^n+z^-n) = rho rho*
%   rho = rho0 + rho1 z + ... + rhon z^n
%
function d = GetDissPoly(rho)

d = hankel(rho)*rho(:);
