%
%   This function constructs a data structure for the 
%    homotopy NP solver. 
%
function parameters = GetParameters(interdata)

alpha = squeeze(GetCentral(interdata));
disspoly = GetDissPoly(interdata.tau);
K = GetK(interdata);

parameters.K = K;
parameters.alpha0 = alpha;
parameters.schurpoly0 = interdata.tau;
parameters.disspoly0 = disspoly;