%
%   Help function for the Sshaper
%
%   This file is a part of "Sshaper" developed by Anders Blomqvist
%    and Ryozo Nagamune. The theory behind the program is presented
%    in the technical report
%
%     "Sensitivity shaping with degree constraint by nonlinear
%     least-squares optimization"
%
%    (TRITA-MAT xxxxx, KTH, Stockholm, Sweden) and references
%    therin. Any questions can be sent to andersb@math.kth.se
%    and/or ryozo@me.berkeley.edu.
%
function plotparameters = InitializePlotparameters(flag)

plotparameters.linestylevec = { 'r-', 'b--' };
plotparameters.markerstyle = 'kx';
plotparameters.legendvec = { 'Our design' 'Previous' };
plotparameters.myfontsize = 12;
plotparameters.myfontweight = 'bold';
plotparameters.mylinewidth = 1.5;
plotparameters.T = 10;
plotparameters.grid = 'grid on';
plotparameters.plotvec = { 'loglog', 'semilogx' };